mlock(1)

NAME
mlock reads and writes encryped miniLock files (https://minilock.io/)

SYNOPSIS
mlock [E:D:o:qvhm:r:x] [-E file] [-D file] [-o output file] [-m mail] [-r recipient] [-x]

DESCRIPTION
mlock reads and writes encryped miniLock files. After invocation, it will prompt for a passphrase. The entropy of this phrase is critical for strong encryption.

See the README file for details.

Crypto options

-E, --encrypt <file>
    Encrypt the given file (see -r)

-D, --decrypt <file>
    Decrypt the given miniLock-file

-o, --output <file>
    Override the target file name (assumes -D or -E)

-m, --mail <string>
    User mail address (salt)

-r, --rcpt <string>
    Recipient's miniLock ID (may be repeated up to 50x, assumes -E)

-x, --exclude-me
    Exlude own miniLock ID from recipient list (assumes -E)

-p, --pinentry
    Use pinentry program to ask for the passphrase

OTHER OPTIONS

-q, --quiet
    Reserved

-h, --help
    print help

-v, --version
    print version and license info

If neither -E nor -D is given, mlock exits after showing your miniLock ID.

Examples
Encryption with one recipient; decryption; show only the MiniLock-ID:

mlock -m johndoe@whitehouse.gov -E file.pdf -r 2RcYddVzLRhfXp7RiUR89GG1huLomuKvyDiQUD1UknkEo

mlock -m johndoe@whitehouse.gov -D file.minilock -o decrypted.pdf

mlock -m johndoe@whitehouse.gov

AUTHORS
Andre Simon <andre.simon1@gmx.de>

SEE ALSO
README file and webpage at http://www.andre-simon.de/ and http://wiki.andre-simon.de.